CREATE OR REPLACE PACKAGE BODY dbd AS
  /**********************************************************************
  **                                                                   **
  ** Procedure HOME                                                    **
  **                                                                   **
  ** Frama principal del sistema de gestion de pedidos.                **
  **                                                                   **
  **********************************************************************/
  PROCEDURE home IS
  BEGIN
    htp.htmlOpen;
      htp.framesetOpen(crows => '15%,85%', cattributes => 'framespacing=0');
        htp.frame('dbd.cabecera','Up',0,0,'no','noresize',
            'frameborder="0"');
        htp.framesetOpen(ccols => '15%,85%', cattributes => 'framespacing=0');
          htp.frame('dbd.menu','Left',0,0,'no','noresize',
             'frameborder=0');
          htp.frame('dbd.blank','Right',0,0,'auto','noresize',
             'frameborder=0');
        htp.framesetClose;
      htp.framesetClose;
    htp.htmlClose;
  END home;    

  /**********************************************************************
  **                                                                   **
  ** Procedure MENU                                                    **
  **                                                                   **
  ** Menu principal del sistema de gestion de pedidos.                 **
  **                                                                   **
  **********************************************************************/
  PROCEDURE menu IS
  BEGIN
    htp.htmlOpen;
    htp.headOpen;
    htp.title('Sistema de gestin de pedidos - Men principal ');
    htp.headClose;
    htp.bodyOpen(
	cattributes => 'background="/icons/sgp/fondo_2.jpg"
                        text=#ffffff link=#ffffff vlink=#e8e8e8');

    htp.hr;

    -- El menu del modulo stock
    htp.print(htf.anchor('stock.menu',
              htf.bold('<i>Stocks</i>'), cattributes => 'target="Left"'));
    htp.br;

    -- El menu del modulo cliente
    htp.print(htf.anchor('cliente.menu',
              htf.bold('Clientes'), cattributes => 'target="Left"'));
    htp.br;

    -- El menu del modulo pedidos
    htp.print(htf.anchor('pedido.menu',
              htf.bold('Pedidos'), cattributes => 'target="Left"'));
    htp.br;

    htp.hr;
    -- Cierre de la pagina
    htp.bodyclose;
    htp.htmlClose;
  END menu;

  /**********************************************************************
  **                                                                   **
  ** Procedure CABECERA                                                **
  **                                                                   **
  ** Una simple rutina de utilidad para imprimir la cabecera de la     **
  ** pagina html.                                                      **
  **                                                                   **
  **********************************************************************/
  PROCEDURE cabecera IS
  BEGIN
    htp.htmlOpen;
      htp.headOpen;
        htp.title('Cabecera del sistema de gestin de pedidos');
      htp.headClose;
      htp.bodyOpen(cattributes => 'background="/icons/sgp/gsi.jpg"');
      htp.bodyclose;
    htp.htmlClose;
  END cabecera;

  /**********************************************************************
  **                                                                   **
  ** Procedure BLANK                                                   **
  **                                                                   **
  ** Imprime una pagina en blanco...                                   **
  **                                                                   **
  **********************************************************************/
  PROCEDURE blank IS
  BEGIN
    htp.htmlOpen;
    htp.headOpen;
    htp.title('This page intentionally left blank');
    htp.headClose;
    htp.bodyOpen(cattributes => 'bgcolor=#e8e8e8');
    htp.bodyclose;
    htp.htmlClose;
  END blank;
END;
/
